Subject: Re: [PATCH] powerpc/85xx: fix PHYS_64BIT selection for P1022DS

From: Timur Tabi <[email-masked]>
Date: Thu, 13 Oct 2011 10:59:00 -0500

Anatolij Gustschin wrote:
> there is no 32bit address map DTS file for P1022DS in the mainline
> tree. A proper patch should then also add appropriate 32bit address
> map DTS file. I'm not in the position to do it currently since it would
> require testing, I do not have this board to test patches for it.

The defconfig already enables CONFIG_PHYS_64BIT for the P1022DS and all other
85xx parts.  If you look at the Kconfig, you'll see that most boards don't
enable it.  So by default, everything is 64-bit capable.

Adding the Kconfig option will *prevent* anyone from creating a 32-bit kernel.
This is my problem with the patch.

-- 
Timur Tabi
Linux kernel developer at Freescale